﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web;

namespace TheBlackKnightSings
{
    public class RemoveMicrosoftOfficeProtocolDiscoveryLoginBoxModule : IHttpModule
    {
        public void Init(HttpApplication context)
        {
            context.PostAuthenticateRequest += new EventHandler(context_PostAuthenticateRequest);
        }

        void context_PostAuthenticateRequest(object sender, EventArgs e)
        {
            HttpApplication app=sender as HttpApplication;
            if (app.User.Identity.IsAuthenticated)
                return;

            HttpRequest request = app.Request;
            if (request.UserAgent != "Microsoft Office Protocol Discovery"
             && request.UserAgent != "Microsoft Data Access Internet Publishing Provider Protocol Discovery"
             && request.UserAgent != "MSFrontPage/12.0")
                return;

            HttpResponse response = app.Response;
            response.StatusCode = 404;
            response.End();

        }


        public void Dispose()
        {
        }
    }
}
